Subject: possible dos / wsize affected frozen connection length (was: Re: 2.6.17.1: fails to fully get webpage)

From: CaT <[email-masked]>
Date: Wed, 5 Jul 2006 10:55:41 +1000

On Fri, Jun 30, 2006 at 08:50:39AM +1000, CaT wrote:
> Another datapoint to this is that I've had this my netcat web test
> running since 8:42pm yesterday. It's 8:37am now. It hasn't progressed
> in any way. It hasn't quit. It hasn't timed out. It just sits there,
> hung. This leads me to consider the possibility of a DOS, either
> intentional or accidental (think about 2.6.17.x running on a mail server
> and someone mails/spams from a broken place).

I'm just wondering if connections hanging around this long are normal.
The above has now been running for 6 days. netstat is still reporting an
established session. netcat has not timed out. It's all just sitting
there doing nothing.

-- 
    "To the extent that we overreact, we proffer the terrorists the
    greatest tribute."
    	- High Court Judge Michael Kirby